# ]po[ Finance Expenses
This package is part of ]project-open[, an open-source enterprise project management system.

For more information about ]project-open[ please see:
* [Documentation Wiki](http://www.project-open.com/en/)
* [V5.0 Download](https://sourceforge.net/projects/project-open/files/project-open/V5.0/)
* [Installation Instructions](http://www.project-open.com/en/list-installers)

About ]po[ Finance Expenses:

<p><p>This package enables expenditure related tracking. Expenses are defined as belonging to projects, and to the employees who incurred them, to help accountability and management control of expenses. Expenses can be further sub classified as belonging to specific tasks, within the larger project architecture. While any sort of expenditure can be recorded, ]po[ has many built in features geared towards traveling professionals and their travel costs. <p><p><img alt="" src="http://www.project-open.com/images/manual_screenshots/expense_screenshot1.gif" /><p>(Screenshot showing a list of all current expense items on the system.) <p>

# Online Reference Documentation

## Procedure Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/procs-file-view?version_id=85999&amp;path=packages/intranet-expenses/tcl/intranet-expenses-procs.tcl">tcl/intranet-expenses-procs.tcl</a></b></td><td></td><td>Common procedures to implement travel expenses </td></tr></table>

## Procedures

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=85999&amp;proc=im_expense_bundle_item_sum">im_expense_bundle_item_sum</a></b></td><td></td><td>Sums up a list of expense items. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=85999&amp;proc=im_expense_bundle_new_page_wf_perm_delete_button">im_expense_bundle_new_page_wf_perm_delete_button</a></b></td><td></td><td>Should we show the &quot;Delete&quot; button in the ExpenseBundleNewPage? Only the owner himself is allowed to delete a bundle, while it is in status &quot;Requested&quot; or &quot;Rejected&quot;. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=85999&amp;proc=im_expense_bundle_new_page_wf_perm_edit_button">im_expense_bundle_new_page_wf_perm_edit_button</a></b></td><td></td><td>Should we show the &quot;Edit&quot; button in the ExpenseBundleNewPage? </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=85999&amp;proc=im_expense_bundle_new_page_wf_perm_modify_included_expenses">im_expense_bundle_new_page_wf_perm_modify_included_expenses</a></b></td><td></td><td>Should we show the &quot;Modify Included Expenses&quot; link in the ExpenseBundleNewPage? The link is visible only for users with &quot;w&quot; permission on the bundle Also, the included expenses can&#39;t be change anymore once the Expense Bundle has been approved. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=85999&amp;proc=im_expense_bundle_new_page_wf_perm_table">im_expense_bundle_new_page_wf_perm_table</a></b></td><td></td><td>Returns a hash array representing (role x status) -&gt; (v r d w a), controlling the read and write permissions on expenses, depending on the users&#39;s role and the WF status. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=85999&amp;proc=im_expense_bundle_permissions">im_expense_bundle_permissions</a></b></td><td></td><td>Fill the &quot;by-reference&quot; variables read, write and admin with the permissions of $user_id on $bundle_id.&lt;br&gt; </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=85999&amp;proc=im_expense_calculate_vat_from_expense_type">im_expense_calculate_vat_from_expense_type</a></b></td><td></td><td>Calculates the VAT % as a function of the &quot;aux_string&quot; field in im_categories for &#39;Intranet Expense Type&#39;. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=85999&amp;proc=im_expense_payment_type_cash">im_expense_payment_type_cash</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=85999&amp;proc=im_expense_payment_type_paypal">im_expense_payment_type_paypal</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=85999&amp;proc=im_expense_payment_type_visa1">im_expense_payment_type_visa1</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=85999&amp;proc=im_expense_permissions">im_expense_permissions</a></b></td><td></td><td>Fill the &quot;by-reference&quot; variables read, write and admin with the permissions of $user_id on $expense_id.&lt;br&gt; Basically, users can only see and modify their own expenses. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=85999&amp;proc=im_package_expenses_id">im_package_expenses_id</a></b></td><td></td><td>Returns the package id of the intranet-expenses module </td></tr></table>

## SQL Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-expenses&amp;url=common/intranet-expenses-backup.sql&amp;version_id=85999">sql/common/intranet-expenses-backup.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-expenses&amp;url=common/intranet-expenses-common.sql&amp;version_id=85999">sql/common/intranet-expenses-common.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-expenses&amp;url=postgresql/intranet-expenses-create.sql&amp;version_id=85999">sql/postgresql/intranet-expenses-create.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-expenses&amp;url=postgresql/intranet-expenses-drop.sql&amp;version_id=85999">sql/postgresql/intranet-expenses-drop.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-expenses&amp;url=postgresql/upgrade/upgrade-5.0.2.3.5-5.0.2.3.6.sql&amp;version_id=85999">sql/postgresql/upgrade/upgrade-5.0.2.3.5-5.0.2.3.6.sql</a></b></td><td></td><td></td></tr></table>

## Content Pages

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b>www/</b></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=85999&amp;path=packages/intranet-expenses/www/bundle-create.adp">bundle-create.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=85999&amp;path=packages/intranet-expenses/www/bundle-create.tcl">bundle-create.tcl</a></b></td><td>Create expense bundle from variousl expenses</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=85999&amp;path=packages/intranet-expenses/www/bundle-del.tcl">bundle-del.tcl</a></b></td><td>Delete expense bundle</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=85999&amp;path=packages/intranet-expenses/www/bundle-new.adp">bundle-new.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=85999&amp;path=packages/intranet-expenses/www/bundle-new.tcl">bundle-new.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=85999&amp;path=packages/intranet-expenses/www/classify-costs-2.tcl">classify-costs-2.tcl</a></b></td><td>Assign several expense items to a specific project</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=85999&amp;path=packages/intranet-expenses/www/classify-costs.adp">classify-costs.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=85999&amp;path=packages/intranet-expenses/www/classify-costs.tcl">classify-costs.tcl</a></b></td><td>Assign several expense items to a specific project</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=85999&amp;path=packages/intranet-expenses/www/expense-del.tcl">expense-del.tcl</a></b></td><td>delete expenses</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=85999&amp;path=packages/intranet-expenses/www/index.adp">index.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=85999&amp;path=packages/intranet-expenses/www/index.tcl">index.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=85999&amp;path=packages/intranet-expenses/www/new-multiple-2.tcl">new-multiple-2.tcl</a></b></td><td>Create a number of expenses at a time</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=85999&amp;path=packages/intranet-expenses/www/new-multiple.adp">new-multiple.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=85999&amp;path=packages/intranet-expenses/www/new-multiple.tcl">new-multiple.tcl</a></b></td><td>Add a bunch of expense items</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=85999&amp;path=packages/intranet-expenses/www/new.adp">new.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=85999&amp;path=packages/intranet-expenses/www/new.tcl">new.tcl</a></b></td><td>add / edit expense in project</td></tr></table>

